%global octpkg control

Name:           octave-%{octpkg}
Version:        2.6.6
Release:        1%{?dist}
Summary:        Computer-Aided Control System Design (CACSD) Tools for Octave
Group:          Applications/Engineering
License:        GPLv3+
URL:            http://octave.sourceforge.net/control/
Source0:        http://downloads.sourceforge.net/octave/%{octpkg}-%{version}.tar.gz

BuildRequires:  octave-devel  
# for arm
BuildRequires:  blas-devel
BuildRequires:  lapack-devel

Requires:       octave(api) = %{octave_api}
Requires(post): octave
Requires(postun): octave


Obsoletes:      octave-forge <= 20090607


%description
The Octave control systems package contains functions for analyzing
and designing automatic control systems and algorithms.

%prep
%setup -q -n %{octpkg}

%build
%octave_pkg_build

%install
rm -rf %{buildroot}
%octave_pkg_install
for i in %{octpkgdir}/doc/references.txt; do
  iconv -f iso8859-1 -t utf-8 %{buildroot}/$i > %{buildroot}/$i.conv && mv -f %{buildroot}/$i.conv %{buildroot}/$i
done;


%post
%octave_cmd pkg rebuild

%preun
%octave_pkg_preun

%postun
%octave_cmd pkg rebuild

%files
%defattr(-,root,root,-)
%{octpkglibdir}

%dir %{octpkgdir}
%doc %{octpkgdir}/doc-cache
%{octpkgdir}/*.m
%{octpkgdir}/packinfo
%doc %{octpkgdir}/packinfo/COPYING
%{octpkgdir}/@lti
%{octpkgdir}/@ss
%{octpkgdir}/@tf
%{octpkgdir}/@tfpoly
%{octpkgdir}/@frd
%{octpkgdir}/@iddata
%doc %{octpkgdir}/doc


%changelog
* Mon Oct 13 2014 Thomas Sailer <t.sailer@alumni.ethz.ch> - 2.6.6-1
- update to 2.6.6

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.6.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 29 2014 Thomas Sailer <t.sailer@alumni.ethz.ch> - 2.6.5-1
- update to 2.6.5

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.6.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue May 06 2014 Thomas Sailer <t.sailer@alumni.ethz.ch> - 2.6.4-1
- update to 2.6.4

* Tue Feb  4 2014 Thomas Sailer <t.sailer@alumni.ethz.ch> - 2.6.2-1
- update to 2.6.2

* Sun Dec 29 2013 Orion Poplawski <orion@cora.nwra.com> - 2.6.1-3
- Rebuild for octave 3.8.0

* Sat Dec 28 2013 Orion Poplawski <orion@cora.nwra.com> - 2.6.1-2
- Rebuild for octave 3.8.0

* Sat Dec 14 2013 Thomas Sailer <t.sailer@alumni.ethz.ch> - 2.6.1-1
- update to 2.6.1

* Sun Nov 24 2013 Thomas Sailer <t.sailer@alumni.ethz.ch> - 2.6.0-1
- update to 2.6.0

* Thu Sep 26 2013 Thomas Sailer <t.sailer@alumni.ethz.ch> - 2.4.3-3
- rebuild for blas and atlas

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Jul 15 2013 Thomas Sailer <t.sailer@alumni.ethz.ch> - 2.4.3-1
- update to 2.4.3

* Tue Feb 19 2013 Thomas Sailer <t.sailer@alumni.ethz.ch> - 2.4.2-1
- update to 2.4.2

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Nov  2 2012 Thomas Sailer <t.sailer@alumni.ethz.ch> - 2.4.1-1
- update to 2.4.1

* Thu Sep 27 2012 Thomas Sailer <t.sailer@alumni.ethz.ch> - 2.4.0-1
- update to 2.4.0

* Sun Sep 16 2012 Thomas Sailer <t.sailer@alumni.ethz.ch> - 2.3.54-1
- update to 2.3.54

* Tue Aug 28 2012 Thomas Sailer <t.sailer@alumni.ethz.ch> - 2.3.53-1
- update to 2.3.53

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.52-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Jun 26 2012 Thomas Sailer <t.sailer@alumni.ethz.ch> - 2.3.52-1
- update to 2.3.52

* Tue Jun  5 2012 Thomas Sailer <t.sailer@alumni.ethz.ch> - 2.3.51-1
- update to 2.3.51

* Mon Feb 13 2012 Thomas Sailer <t.sailer@alumni.ethz.ch> - 2.2.5-1
- update to 2.2.5

* Mon Jan 16 2012 Thomas Sailer <t.sailer@alumni.ethz.ch> - 2.2.4-2
- rebuild for octave 3.6.0

* Fri Jan 13 2012 Thomas Sailer <t.sailer@alumni.ethz.ch> - 2.2.4-1
- update to 2.2.4

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Dec  8 2011 Thomas Sailer <t.sailer@alumni.ethz.ch> - 2.2.3-1
- update to 2.2.3

* Mon Dec  5 2011 Thomas Sailer <t.sailer@alumni.ethz.ch> - 2.2.2-1
- update to 2.2.2

* Tue Oct 25 2011 Thomas Sailer <t.sailer@alumni.ethz.ch> - 2.2.1-1
- update to 2.2.1

* Tue Sep 27 2011 Thomas Sailer <t.sailer@alumni.ethz.ch> - 2.2.0-1
- update to 2.2.0

* Thu Sep  8 2011 Thomas Sailer <t.sailer@alumni.ethz.ch> - 2.1.55-1
- update to 2.1.55

* Fri Aug 26 2011 Thomas Sailer <t.sailer@alumni.ethz.ch> - 2.1.54-1
- update to 2.1.54

* Wed Aug 24 2011 Thomas Sailer <t.sailer@alumni.ethz.ch> - 2.1.53-1
- update to 2.1.53

* Sat Aug 06 2011 Jussi Lehtola <jussilehtola@fedoraproject.org> - 2.0.2-3
- Bump spec due to change of octave api version.

* Wed Jun 15 2011 Thomas Sailer <t.sailer@alumni.ethz.ch> - 2.0.2-2
- Review input

* Fri Jun 03 2011 Thomas Sailer <t.sailer@alumni.ethz.ch> 2.0.2-1
- initial package for Fedora
